wake-up-neo.net

Die Methode Android () für Argumente im Android Studio-Projekt konnte nicht gefunden werden

Ich versuche, eine Gradsynchronisierung für mein Android-Studio-Projekt durchzuführen, und ich bekomme diese Fehlermeldung im Titel immer wieder. Meine build.gradle-Datei lautet 

// Top-level build file where you can add configuration options common to all sub-projects/modules.
buildscript {
repositories {
    jcenter()
}
dependencies {
    classpath 'com.Android.tools.build:gradle:2.2.1'

    // NOTE: Do not place your application dependencies here; they belong
    // in the individual module build.gradle files
}
}
allprojects {
repositories {
    jcenter()
}
}
task clean(type: Delete) {
delete rootProject.buildDir
}

Android {
compileSdkVersion 24
buildToolsVersion '24.0.0'
}
dependencies {

}

Meine Fehlermeldung lautet

Gradle sync failed: Could not find method Android() for arguments [[email protected]] on root project 'MyRadio

Ich habe online gesucht und mehrere Lösungen ausprobiert, aber nichts scheint zu funktionieren. Was heißt das überhaupt? Jede Hilfe wäre dankbar.

10
Heyya

Sie verwenden die falsche Datei build.gradle.

In Ihrer Top-Level-Datei können Sie keinen Android-Block definieren.

Verschieben Sie diesen Teil einfach in die Datei module/build.Gradle.

Android {
compileSdkVersion 17
buildToolsVersion '23.0.0'
}
dependencies {
compile files('app/libs/junit-4.12-JavaDoc.jar')
}
apply plugin: 'maven'
16
Atman Bhatt

Verschieben Sie Ihren Android {} -Teil in diese Datei  build.gradle

6
Ajith Pandian

 Edit this gradle file Sie bearbeiten gerade die Toplevel-Datei, müssen jedoch die App-Ebene bearbeiten

fügen Sie dort Abhängigkeiten hinzu.

4
Rjz Satvara

Jedes Modul, das Sie Ihrer has its own build.gradle-Datei Ihres Android Studio-Projekts hinzufügen. Alle Abhängigkeiten, die Sie hinzufügen möchten, werden im zugehörigen Modul build.gradle -Datei ..__ hinzugefügt. In Ihrem Fall müssen Sie Ihre Abhängigkeiten in der build.gradle-Datei Ihrer App hinzufügen.

Hier ist ein Bild, wo Sie das hinzufügen sollten.

 Build Gradle

1
Vivek Mishra

Aktualisieren Sie das Gradle, nachdem Sie das unten stehende gelöscht haben

Android {
compileSdkVersion 24
buildToolsVersion '24.0.0'
}
dependencies {

}

Für mich geht das

1
Umino San

Prüfen Sie, ob Ihr APP-Level Build.Gradle fehlt Plugin

dann apply plugin: 'com.Android.application' hinzufügen 

in APP-Ebene Build.Gradle

Aus meiner Lösung.

0
Nikunj Paradva